Polyrankdocs
Markets

GET /v1/market/{conditionId}

Per-market summary: consensus snapshot, last-24h flow + positioning counts.

GET
/v1/market/{conditionId}

Per-market summary: consensus snapshot, last-24h flow + positioning counts.

AuthorizationBearer <token>

API key: Authorization: Bearer pk_live_… (mint at polyrank.app/api-keys)

In: header

Path Parameters

conditionId*string

Response Body

application/json

curl -X GET "https://example.com/v1/market/string"
{  "condition_id": "string",  "market_title": "string",  "market_category": "string",  "market_slug": "string",  "event_slug": "string",  "event_title": "string",  "close_time": "string",  "game_start_time": "string",  "listed_at": "string",  "end_date": "string",  "resolved": true,  "market_state": "LIVE",  "winner_outcome": "YES",  "current_mid": 0,  "best_bid": 0,  "best_ask": 0,  "final_pre_resolution_mid": 0,  "last_24h_volume_usdc": 0,  "last_24h_fills": -9007199254740991,  "positioner_count": -9007199254740991,  "smart_money_positioner_count": -9007199254740991,  "consensus_latest": {    "ts": "string",    "polyrank_consensus_yes": 0,    "market_mid": 0,    "volume_weighted_yes": 0,    "top10_smart_money_yes": 0,    "n_positioners": -9007199254740991  },  "consensus_24h": [    {      "ts": "string",      "polyrank_consensus_yes": 0,      "market_mid": 0,      "volume_weighted_yes": 0,      "top10_smart_money_yes": 0,      "n_positioners": -9007199254740991    }  ],  "flow_24h": [    {      "bucket_ts": "string",      "total_volume_usdc": 0,      "yes_buy_volume_usdc": 0,      "no_buy_volume_usdc": 0,      "fills_count": -9007199254740991    }  ],  "mid_history_24h": [    {      "bucket_ts": "string",      "mid": 0    }  ],  "siblings": [    {      "condition_id": "string",      "title": "string",      "current_mid": 0,      "resolved": true    }  ],  "skill_analytics_enabled": true,  "liquidity": {    "best_bid": 0,    "best_ask": 0,    "mid": 0,    "spread": 0,    "spread_pct": 0,    "bid_size": 0,    "ask_size": 0,    "bid_value_usd": 0,    "ask_value_usd": 0,    "bid_depth_usd": 0,    "ask_depth_usd": 0,    "book_imbalance": 0,    "depth_band_cents": 0  },  "book_depth_enabled": true,  "marks_as_of": "string",  "book_stale": true}